Skip to main content
POST
Create Placement

Authorizations

Authorization
string
header
required

Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.

Body

application/json

Request body for POST /placements.

name
string
required

Placement name

ad_unit_ids
string<uuid>[]

List of ad unit IDs associated with this placement.

Maximum array length: 1000
created_by
string | null
description
string | null

Description

ext
any | null

Extension field for additional placement-specific data.

id
status
enum<string>
default:INACTIVE

Operational status of the placement. Defaults to Inactive.

Available options:
ACTIVE,
INACTIVE,
ARCHIVED

Response

Successful Response

Response schema for Placement mutation operations (create/patch).

created_at
string<date-time>
required

The date and time when the placement was created.

created_by
string<uuid>
required

The ID of the user who created the placement.

id
string<uuid>
required

Unique identifier for the placement (UUID v4).

name
string
required

Human-readable name of the placement.

updated_at
string<date-time>
required
ad_unit_ids
string<uuid>[]

List of ad unit IDs associated with this placement.

Maximum array length: 1000
description
string | null

Optional description of the placement.

ext
any | null

Extension field for additional placement-specific data.

no
integer | null
status
enum<string>
default:INACTIVE

Operational status of the placement. Defaults to Inactive.

Available options:
ACTIVE,
INACTIVE,
ARCHIVED